### Method

# WebKit2 NavigationPolicyDecision get_mouse_button

#### Declaration [src]

    guint
    webkit_navigation_policy_decision_get_mouse_button (
      WebKitNavigationPolicyDecision* decision
    )

#### Description [src]

Gets the value of the `WebKitNavigationPolicyDecision:mouse-button` property.

Deprecated since: | 2.6
Use `webkit_navigation_policy_decision_get_navigation_action()` instead.

Gets property | `WebKit2.NavigationPolicyDecision:mouse-button`

#### Return value

Returns: | `guint`
| The mouse button used if this decision was triggered by a mouse event or 0 otherwise.